
D4Science Infrastructure - Support #589

Support # 587 (Closed): Upgrade cluster mongodb to version 2.6 with authentication

StorageManager library: upgrade java driver library to version 3.0

Sep 11, 2015 11:21 AM - Roberto Cirillo

Status: Closed Start date: Sep 11, 2015

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Other Estimated time: 0.00 hour

Infrastructure: Development   

Description

As described in the official documentation: 

http://docs.mongodb.org/ecosystem/drivers/driver-compatibility-reference/#reference-compatibility-mongodb-java

the mongo-java-driver library should be upgraded to version 3.0 for compatibility to the following mongodb versions: 2.4, 2.6, 3.0.

History

#1 - Sep 11, 2015 11:42 AM - Roberto Cirillo

- Status changed from New to In Progress

#2 - Sep 11, 2015 12:44 PM - Roberto Cirillo

- % Done changed from 0 to 40

The new java-driver has been integrated in the storage-manager library and the tests performed on mongodb 2.4 are going well. Before close the

ticket I want to test it also on mongodb 2.6 and mongodb 3.0

#3 - Sep 14, 2015 12:05 PM - Roberto Cirillo

- Status changed from In Progress to Paused

#4 - Oct 08, 2015 02:27 PM - Roberto Cirillo

- Status changed from Paused to Closed

- % Done changed from 40 to 100
